## BluetoothChooserButton

BluetoothChooserButton — a Bluetooth chooser button

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    #include <bluetooth-plugin.h>

                        BluetoothChooserButton;
    GtkWidget *         bluetooth_chooser_button_new        (void);
    gboolean            bluetooth_chooser_button_available  (BluetoothChooserButton *button);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkButton
                                           +----BluetoothChooserButton

## Implemented Interfaces

BluetoothChooserButton implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Properties

      "device"                   gchar*                : Read / Write
      "is-available"             gboolean              : Read

## Signals

      "chooser-created"                                : Run Last

## Description

A button used to select Bluetooth devices which will pop-up a BluetoothChooser widget inside a dialogue when clicked.

## Details

### BluetoothChooserButton

    typedef struct _BluetoothChooserButton BluetoothChooserButton;

### bluetooth_chooser_button_new ()

    GtkWidget *         bluetooth_chooser_button_new        (void);

Returns a new BluetoothChooserButton widget.

Returns : | a BluetoothChooserButton widget.

### bluetooth_chooser_button_available ()

    gboolean            bluetooth_chooser_button_available  (BluetoothChooserButton *button);

Returns whether there is a powered Bluetooth adapter.

`button` : | a BluetoothChooserButton
Returns : | `TRUE` if there is a powered Bluetooth adapter available, and the button should be sensitive.

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

The Bluetooth address of the selected device or `NULL`

Default value: NULL

### The `"is-available"` property

      "is-available"             gboolean              : Read

`TRUE` if there is a powered Bluetooth adapter available.

See also: `bluetooth_chooser_button_available()`

Default value: TRUE

## Signal Details

### The `"chooser-created"` signal

    void                user_function                      (BluetoothChooserButton *self,
                                                            GObject                *chooser,
                                                            gpointer                user_data)      : Run Last

The signal is sent when a popup dialogue is created for the user to select a device. This signal allows you to change the configuration and filtering of the tree from its defaults.

`self` : | a BluetoothChooserButton widget
`chooser` : | a BluetoothChooser widget
`user_data` : | user data set when the signal handler was connected.